NDSummary.OnToolTipsLoaded("PHPClass:PHPTemplate",{276:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype276\"><div class=\"CPEntry TClass Current\"><div class=\"CPName\">PHPTemplate</div></div></div><div class=\"TTSummary\">A PHP-based template class inspired by the example at http://&#8203;www&#8203;.sitepoint&#8203;.com&#8203;/print&#8203;/beyond-template-engine The idea is to simplify the template engine by just using regular old PHP source files as template files.&nbsp; Since the syntax for advanced templating is not significantly less complicated than regular PHP syntax, we might as well save ourselves some trouble and just use PHP.</div></div>",278:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">Whether HTML helpers should output their data in addition to returning it. */</div></div>",280:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype280\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function get</span>(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">var,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">escape&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get a template var as a string.</div></div>",281:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype281\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> raw(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">var,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">escape&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Same as get(), but echoes rather than return.</div></div>",282:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype282\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> put(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">var,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">escape&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\">self::ESC_HTML</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Same as get(), but echos rather than return and escapes HTML by default.</div></div>",283:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype283\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function set</span>(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">var,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">val</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">true</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Sets a template variable.</div></div>",284:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype284\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> unsetVar(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">var</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Unsets a previously set template variable.</div></div>",285:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype285\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> varSet(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">var</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Determine if a template variable has been set.</div></div>",286:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype286\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> reset(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">file</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Resets a template back to its empty state, clearing all variables and the file.</div></div>",287:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype287\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getSearchPath()</div><div class=\"TTSummary\">Gets the search path for templates.&nbsp; If a custom path list is set, it will return that.&nbsp; Otherwise, it will return the following paths, if applicable: - BLOG_ROOT/themes/THEME_NAME/templates - BLOG_ROOT/templates - USER_DATA_PATH/themes/THEME_NAME/templates - INSTALL_ROOT/themes/THEME_NAME/templates - INSTALL_ROOT/themes/default/templates</div></div>",288:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype288\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> block(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">name,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">content_callback</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Defines a template block for future use.&nbsp; This is doen by associating a name with a function that outputs the desired markup.</div></div>",289:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype289\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> showBlock(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Outputs a template block using the data set for this template.&nbsp; Note that the block must have been previously define.&nbsp; Note that this can be called inside a block definition to achieve block nesting.</div></div>",290:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype290\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function extends</span>(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">template_name,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">theme&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">\'default\'</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">This declares that the current temlpate file extends one of the default theme template files.&nbsp; This allows you to override specific blocks in a default template without having to duplicate all the other code.</div></div>",291:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype291\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> process(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">return_results</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">true</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Process the template and get the output.</div></div>"});