NDSummary.OnToolTipsLoaded("PHPClass:Page",{292:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype292\"><div class=\"CPEntry TClass Current\"><div class=\"CPName\">Page</div></div></div><div class=\"TTSummary\">Represents a web page.&nbsp; This class is primarily concerned with making sure that the things in the HEAD part of the page are set up correctly.</div></div>",294:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">Holds a reference to the primary object which is displayed on this page.&nbsp; The type of object <b>will vary</b> from page to page and may be set to false on some pages.&nbsp; For most pages, it will be the current Blog object, but BlogEntry and Article object are also common.</div></div>",295:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">String holding the DOCTYPE for the page.&nbsp; Should normally be set using a named constant.</div></div>",296:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">A string used for the page title.</div></div>",297:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">Represents the MIME type of the page.</div></div>",298:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">Holds the character encoding to use for the page.</div></div>",300:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype300\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public static function</span> instance()</div><div class=\"TTSummary\">Get the instance for the page singleton.</div></div>",301:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype301\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addPackage(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PNamePrefix\">$</td><td class=\"PName last\">name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds a third-party package to the page, e.g. jQuery.</div></div>",302:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype302\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> setDisplayObject(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">ref</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Sets the object which the page is currently displaying.</div></div>",303:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype303\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> addStylesheet()</div><div class=\"TTSummary\">Adds style sheets to be link into the page.</div></div>",304:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype304\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> addInlineStylesheet()</div><div class=\"TTSummary\">Adds style sheets to be added inline into the page.</div></div>",305:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype305\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addLink(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">attribs</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds a generic link element to the page header.</div></div>",306:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype306\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addRSSFeed(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">href,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">type,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">title</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds an RSS feed to the link elements of the page header.</div></div>",307:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype307\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addScript(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">href,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">type</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;text/javascript&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds a script file to the header of the page.</div></div>",308:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype308\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addInlineScript(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">text,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">type</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;text/javascript&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds an inline script to the header of the page.</div></div>",309:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype309\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addExternalScript(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">href,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">type</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;text/javascript&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Add a script file from an external URL to the page.</div></div>",310:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype310\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addExternalStylesheet(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">href</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Add a stylesheet from an external URL to the page.</div></div>",311:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype311\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addScriptFirst(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">href,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">type</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;text/javascript&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Like addScript, except adds the script at the <b>beginning</b> of the list of scripts to be inserted.&nbsp; Use this for initialization of configuration scripts that need to run before other things.</div></div>",312:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype312\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addInlineScriptFirst(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">text,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">type</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;text/javascript&quot;</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Like addScriptFirst, except for inline scripts.</div></div>",313:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype313\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addMeta(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">content,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">name</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span>,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">httpequiv</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds a META item to the page.</div></div>",314:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype314\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addHeader(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">name,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">content</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Add an item to the HTTP header for the page.</div></div>",315:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype315\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> redirect(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">url</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Redirect to another page.</div></div>",316:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype316\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> refresh(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">url,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">delay</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">0</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Refresh the page.</div></div>",317:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype317\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> display(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">page_body,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">blog</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Displays the page, i.e. sends it to the browser.</div></div>",318:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype318\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> error(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">code,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">extra_message&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">\'\'</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set an error header and exit.</div></div>"});