NDSummary.OnToolTipsLoaded("File:docs/lbcode.txt",{32:"<div class=\"NDToolTip TSection LTextFile\"><div class=\"TTSummary\">LnBlog allows you to write your blog entries and articles in any of four formats.&nbsp; The simplest is auto-markup, which automatically inserts HTML code for line breaks, paragraph breaks, and converts text URLs into hyperlinks.&nbsp; The most complex is, of course, raw HTML code.&nbsp; In this format, LnBlog will not do anything to your text at all and will simply output it as HTML code.&nbsp; Between those extrmemes, LnBlog also supports standard Markdown and a custom format called LBCode, which is a dialect of the BBCode-style markup used by many popular web forum systems.&nbsp; (The name LBCode is used to distinguish it from the markup used by other systems, because LnBlog makes absolutely no attempt to be compatible with other software in this regard.)o</div></div>",43:"<div class=\"NDToolTip TSection LTextFile\"><div class=\"TTSummary\">Most LBCode constructs map directly so some HTML code.&nbsp; The following table summarizes the available LBCode statements.&nbsp; As with the auto-markup mode, line breaks are converted to HTML BR tags and double line breaks are converted to new paragraphs.</div></div>",44:"<div class=\"NDToolTip TSection LTextFile\"><div class=\"TTSummary\">LBCode includes a feature to automatically absolutize URLs.&nbsp; Basically, if you do not enter a relative URL, such as &quot;myimage.jpg&quot;, it will automatically be converted to an absolute URL, such as &quot;http://&#8203;somehost&#8203;/somepath&#8203;/myimage&#8203;.jpg&quot;.&nbsp; The conversion is done automatically at run-time and will show up in the HTML code sent to the browser.&nbsp; This is provided for because an absolute URL is required in order to properly display a blog entry on the front page or in RSS feeds, and because you will not know the final URL until <u>after</u> you post the entry.&nbsp; Plus it\'s a conventient shortcut.</div></div>",45:"<div class=\"NDToolTip TSection LTextFile\"><div class=\"TTSummary\">There are several other things to note with regard to the various LBCode statements.&nbsp; - The line breaks between items in numbered lists and unordered lists are not optional. You must put each item on a single line and you must put the beginning and ending tags on their own line.&nbsp; - In Mozilla-based browser, [ac] and [ab] both do the same thing. They are both provided because there is a semantic difference, i.e. that an abbreviation is simply a shortening of a phrase using the initial letters, whereas an acronym is such a shortening that actually spells a pronounceable word. However, while the &lt;abbr&gt; tag is often the semantically correct one, Internet Explorer 6 doesn\'t support it, so you should use this tag with care.&nbsp; - In the [img] tag, the text between the opening and closing tags is required. This is because it is used as the text for both the ALT attribute, which is required in XHTML, and the TITLE attribute, which gives you the tooltips in Mozilla-based browsers. Since Internet Explorer incorrectly uses the ALT text for tooltips, you\'ll actually get the same tooltip in all browsers.&nbsp; - In Mozilla-based browsers, the &lt;q&gt; tag renders quotation marks automatically.&nbsp; However, this depends on the CSS2 :before and :after pseudo-elements, which are not supported by Internet Explorer, so use this with care. Note that in the default LnBlog stylsheets, the &lt;q&gt; tag is rendered with italic text, so that even in Internet Explorer, it can be distinguished from normal text.&nbsp; - The current LBCode handler does not deal gracefully with multiline tags.&nbsp; So if, e.g., you have a multiline block quotation or code block, the LBCode handler will still put &lt;br /&gt; tags in for the line breaks.&nbsp; This may or may not be what you want.</div></div>"});