NDSummary.OnToolTipsLoaded("File:lib/textprocessors/TextProcessor.php",{81:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype81\"><div class=\"CPEntry TClass Current\"><div class=\"CPModifiers\"><span class=\"SHKeyword\">abstract</span></div><div class=\"CPName\">TextProcessor</div></div></div><div class=\"TTSummary\">Base class for text processors</div></div>",83:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">(string) The original, unformatted text.</div></div>",84:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">(string) The final, formatted text.</div></div>",85:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">(Entry) The entry used to resolve URIs.</div></div>",86:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">(int) The ID fo the text filter.</div></div>",87:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">(string) The human-readable name of the filter.</div></div>",88:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">(boolean) Skip the surrounding markup, i.e. don\'t wrap in &lt;P&gt; tags.</div></div>",90:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype90\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">static public function get</span>(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"first\"></td><td class=\"PNamePrefix\">$</td><td class=\"PName\">markup_type,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PType first\">Entry&nbsp;</td><td class=\"PNamePrefix\">$</td><td class=\"PName\">entry&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">null</span>,</td></tr><tr><td class=\"first\"></td><td class=\"PNamePrefix\">$</td><td class=\"PName\">text&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">\'\'</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Factory method to get a processor based on a markup type.</div></div>",91:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype91\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">static public function</span> getFilterList()</div><div class=\"TTSummary\">Convenience function that returns a map of filter IDs to names.</div></div>",92:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype92\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">static public function</span> getAvailableFilters()</div><div class=\"TTSummary\">Gets an array of instances of the available textprocessors.</div></div>",93:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype93\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> setText(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">text</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set the initia text to process</div></div>",94:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype94\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getRawText()</div><div class=\"TTSummary\">Get the initial text passed for processing.</div></div>",95:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype95\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> setEntry(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\">Entry&nbsp;</td><td class=\"PNamePrefix\">$</td><td class=\"PName\">entry&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">null</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set the entry object against which URIs will be resolved.</div></div>",96:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype96\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getHTML(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">text&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">null</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get the formatted HTML text.</div></div>",97:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype97\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">protected function</span> fixIndividualURI(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">uri</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Fixes a relative URI to be absolute.</div></div>",98:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype98\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">protected function</span> sanitizeText(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">data</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Strip HTML code out of a string.&nbsp; Note that the UNICODE_ESCAPE_HACK configuration constant can be used to switch between using the PHP htmlentities() and htmlspecialchars() functions to sanitize input.&nbsp; This is because htmlentities() has a nasty habit of mangling Unicode.</div></div>"});